INC_PG= # -I/usr/lib/pgsql/include
INC_MSQL= # -I/usr/local/Hughes/include
INC_MYSQL= # -I/usr/include/mysql

LINK_PG= # -L/usr/lib/pgsql/lib -lpq
LINK_MSQL= # -L/usr/local/Hughes/lib -lmsql
LINK_MYSQL= # -L/usr/lib/mysql -lmysqlclient

CXX_PG= # -DWITH_POSTGRES
CXX_MSQL= # -DWITH_MSQL
CXX_MYSQL= # -DWITH_MYSQL

CXX_RPC= -DWITH_RPC
RPCOBJ=rpc_clnt.o rpc_svc.o rpc_xdr.o rpc_svc_fork.o

LINK_FREEBSD= # -lcrypt

# DON'T EDIT BELOW THIS LINE

INCLUDE= $(INC_PG) $(INC_MSQL) $(INC_MYSQL)
LINKFLAGS= $(LINK_PG) $(LINK_MSQL) $(LINK_MYSQL) $(LINK_FREEBSD)
CXX=g++ -Wall -I. -I./libs $(INCLUDE) -DLINETRACK -DDEBUGGING \
$(CXX_PG) $(CXX_MSQL) $(CXX_MYSQL) $(CXX_RPC)
EXTRA_OBJ=$(RPCOBJ) boil.tab.o lang.o libs.o push.o pop.o setblock.o destroy.o \
operator.o rpc.o parse.o base.o filedir.o lock.o std.o string.o cgi.o \
internal.o postgres.o socket.o stream.o time.o userdefined.o rpclib.o msql.o \
mysql.o
LIB=libs/errorlib.o libs/stringlib.o libs/wwwlib.o libs/timelib.o \
libs/mylib.o libs/locklib.o libs/parselib.o
PROJ=boiler
EXTRA_CLEANUP=

OBJ=$(PROJ).o
SRC=$(PROJ).cc

all: $(PROJ) $(PROJ).static
$(PROJ): $(LIB) $(EXTRA_OBJ) $(OBJ)
	$(CXX) -o $(PROJ) $(OBJ) $(EXTRA_OBJ) $(LIB) $(LIB1) $(LINKFLAGS)
	strip $(PROJ)
$(PROJ).static: $(LIB) $(EXTRA_OBJ) $(OBJ)
	$(CXX) -o $(PROJ).static $(OBJ) $(EXTRA_OBJ) $(LIB) $(LIB1) $(LINKFLAGS) -static
	strip $(PROJ).static
$(OBJ): $(SRC)
$(LIB):
	cd libs ; make

clean:
	rm -f $(EXTRA_OBJ) $(OBJ) $(PROJ) $(PROJ).static $(EXTRA_CLEANUP)

boil.tab.o: boil.tab.cc
rpc_clnt.o: rpc_clnt.cc
rpc_svc.o: rpc_svc.cc
rpc_svc_fork.o: rpc_svc_fork.cc
rpc_xdr.o: rpc_xdr.cc

boil.tab.cc boil.tab.h: boil.y
